ArduinoFiles.h File Reference

PrintFile class. More...

`#include "FatLibConfig.h"`
`#include "FatFile.h"`
`#include <limits.h>`
Include dependency graph for ArduinoFiles.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | File
| Arduino SD.h style File API. More...
class | PrintFile
| FatFile with Print. More...

## Macros

#define | FILE_READ O_READ
#define | FILE_WRITE (O_RDWR | O_CREAT | O_AT_END)

## Detailed Description

PrintFile class.

## Macro Definition Documentation

#define FILE_READ O_READ

Arduino SD.h style flag for open for read.

#define FILE_WRITE (O_RDWR | O_CREAT | O_AT_END)

Arduino SD.h style flag for open at EOF for read/write with create.